comedi_to_physical
Prev | 5.4.1. Core Functions | Next

## Name

comedi_to_physical — convert sample to physical units using polynomials

## Synopsis

    #include <comedilib.h>

`double comedi_to_physical(` | lsampl_t data,
| const comedi_polynomial_t * conversion_polynomial`)`;

## Description

Converts `data` given in Comedi's integer sample values (lsampl_t, between `0` and maxdata) into physical units (double). The `conversion_polynomial` parameter is obtained from either `comedi_get_hardcal_converter` or `comedi_get_softcal_converter`. No range checking of the input `data` is performed. It is up to you to check for `data` values of 0 or maxdata if you want to detect possibly out-of-range readings.

## Return value

Physical value corresponding to the input sample value.

Prev | Up | Next
comedi_to_phys | Home | comedi_unlock